std::binomial_distribution< _IntType >::param_type Struct Reference

`#include <random.h>`

## Public Types

typedef binomial_distribution< _IntType > | distribution_type

## Public Member Functions

| param_type (_IntType __t, double __p=0.5)
double | p () const
_IntType | t () const

## Friends

class | binomial_distribution< _IntType >
bool | operator!= (const param_type &__p1, const param_type &__p2)
bool | operator== (const param_type &__p1, const param_type &__p2)

## Detailed Description

template<typename _IntType = int>
struct std::binomial_distribution< _IntType >::param_type

Parameter type.

Definition at line 3753 of file random.h.

## Member Typedef Documentation

## distribution_type

template<typename _IntType = int>

typedef binomial_distribution<_IntType> std::binomial_distribution< _IntType >::param_type::distribution_type

Definition at line 3755 of file random.h.

## Constructor & Destructor Documentation

## param_type() [1/2]

template<typename _IntType = int>

std::binomial_distribution< _IntType >::param_type::param_type | ( |  | ) |

inline

Definition at line 3758 of file random.h.

## param_type() [2/2]

template<typename _IntType = int>

std::binomial_distribution< _IntType >::param_type::param_type | ( | _IntType | __t,
|  | double | __p = `0.5`
| ) |  |

inline explicit

Definition at line 3761 of file random.h.

## Member Function Documentation

## p()

template<typename _IntType = int>

double std::binomial_distribution< _IntType >::param_type::p | ( |  | ) | const

inline

Definition at line 3775 of file random.h.

## t()

template<typename _IntType = int>

_IntType std::binomial_distribution< _IntType >::param_type::t | ( |  | ) | const

inline

Definition at line 3771 of file random.h.

## Friends And Related Symbol Documentation

## binomial_distribution< _IntType >

template<typename _IntType = int>

friend class binomial_distribution< _IntType >

friend

Definition at line 3755 of file random.h.

## operator!=

template<typename _IntType = int>

bool operator!= | ( | const param_type & | __p1,
|  | const param_type & | __p2
| ) |  |

friend

Definition at line 3783 of file random.h.

## operator==

template<typename _IntType = int>

bool operator== | ( | const param_type & | __p1,
|  | const param_type & | __p2
| ) |  |

friend

Definition at line 3779 of file random.h.

The documentation for this struct was generated from the following files:

- random.h
- bits/random.tcc